Utils

Validate a postal code (BR CEP format)

GET
/v1/utils/postcode-validation

Authorization

selectkey<token>

API key para requisições autenticadas. Envie sua chave no cabeçalho selectkey (sandbox sk_test_…, produção sk_live_…).

In: header

Query Parameters

postcode*string
country?string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/utils/postcode-validation?postcode=string"
{
  "valid": true,
  "postcode": "string",
  "country": "string",
  "street": "string",
  "complement": "string",
  "district": "string",
  "city": "string",
  "state": "string",
  "address": {
    "postcode": "string",
    "street": "string",
    "complement": "string",
    "district": "string",
    "city": "string",
    "state": "string"
  },
  "merchant": {
    "name": "Acme Ltda",
    "merchantId": "string",
    "isSubAccount": true
  }
}
{
  "error": {
    "status": "Bad Request",
    "statusCode": 400,
    "category": "validation",
    "code": "invalidParameters",
    "message": "Validation errors occurred.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Unauthorized",
    "statusCode": 401,
    "category": "authentication",
    "code": "unauthorized",
    "message": "Authentication is required to access this resource.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Internal Server Error",
    "statusCode": 500,
    "category": "server",
    "code": "serverError",
    "message": "An unexpected error occurred. Please try again later.",
    "resource": "server",
    "details": "If the problem persists, contact support with the correlationId from the response headers."
  }
}